## org.gnu.gtk
Class IconSet

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.IconSet

public class IconSet
extends Boxed

This object represents a set of Icons that are a variant of a particular icon.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`IconSet()` Construct a new empty IconSet.
`IconSet(Handle handle)` Initialize an IconSet with a handle to a native resource.
`IconSet(Pixbuf pixbuf)` Construct a new IconSet from a Pixbuf.

Method Summary
`void` `addSource(IconSource iconSource)` Icon sets have a list of `IconSource` which they use as base icons for rendering icons in different states and sizes.
`int` `getType()`
`protected static void` `gtk_icon_set_add_source(Handle iconSet, Handle source)`
`protected static Handle` `gtk_icon_set_copy(Handle iconSet)`
`protected static void` `gtk_icon_set_get_sizes(Handle iconSet, int[] sizes, int[] numSizes)`
`protected static Handle` `gtk_icon_set_new_from_pixbuf(Handle pixbuf)`
`protected static Handle` `gtk_icon_set_new()`
`protected static Handle` `gtk_icon_set_ref(Handle iconSet)`
`protected static Handle` `gtk_icon_set_render_icon(Handle iconSet, Handle style, int direction, int state, int size, Handle widget, java.lang.String detail)`
`protected static void` `gtk_icon_set_unref(Handle iconSet)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconSet

    public IconSet(Handle handle)

  Initialize an IconSet with a handle to a native resource.

### IconSet

    public IconSet()

  Construct a new empty IconSet.

### IconSet

    public IconSet(Pixbuf pixbuf)

  Construct a new IconSet from a Pixbuf.

Method Detail

### addSource

    public void addSource(IconSource iconSource)

  Icon sets have a list of `IconSource` which they use as base icons for rendering icons in different states and sizes. The base images and when to use them are described by a IconSource. This method adds an IconSource to the IconSet.

  Parameters:
    `iconSource` - The IconSource to add to this IconSet.

### getType

    public int getType()

### gtk_icon_set_new

    protected static final Handle gtk_icon_set_new()

### gtk_icon_set_new_from_pixbuf

    protected static final Handle gtk_icon_set_new_from_pixbuf(Handle pixbuf)

### gtk_icon_set_ref

    protected static final Handle gtk_icon_set_ref(Handle iconSet)

### gtk_icon_set_unref

    protected static final void gtk_icon_set_unref(Handle iconSet)

### gtk_icon_set_copy

    protected static final Handle gtk_icon_set_copy(Handle iconSet)

### gtk_icon_set_render_icon

    protected static final Handle gtk_icon_set_render_icon(Handle iconSet,
                                                           Handle style,
                                                           int direction,
                                                           int state,
                                                           int size,
                                                           Handle widget,
                                                           java.lang.String detail)

### gtk_icon_set_add_source

    protected static final void gtk_icon_set_add_source(Handle iconSet,
                                                        Handle source)

### gtk_icon_set_get_sizes

    protected static final void gtk_icon_set_get_sizes(Handle iconSet,
                                                       int[] sizes,
                                                       int[] numSizes)